Android Studio 升级到3.0,gradle升级到4.1后报错

将AS升级到3.0,gradle 升级到4.1之后出现这个问题

Error:Unable to resolve dependency for ‘:app@stage/compileClasspath’: Could not resolve project :library_base.

意思就是在你的app的build.gradle 文件中有

buildTypes {
        release {
           ...
        }
        stage {
            ...
        }
    }

但是你的libray_base模块中的buildtypes是这样的

buildTypes {
        release {
           ...
        }
    }

两者相差stage这个打包
解决方案就是在libray_base中加上stage这个打包模块,或者直接在root的那个build文件中加上这个打包模块,让所有的都有这个模块,就不用每个去写了,要有特殊需求,在覆写就好了。
比如

        stage {
            matchingFallbacks = ['release', 'debug']
        }

没有更多推荐了,返回首页